-- use command db2 -td# -vf tklmsql-fp.db2 to run this script individually.

ALTER TABLE KMT_EXPORT_KEYGROUP_SUMMARY ALTER COLUMN DEVICE_TYPE SET DATA TYPE VARCHAR(128)
#
ALTER TABLE KMT_CLIENT ALTER COLUMN NAME SET DATA TYPE VARCHAR(256)
#
ALTER TABLE KMT_DEVICE_TYPE ALTER COLUMN NAME SET DATA TYPE VARCHAR(256)
#
ALTER TABLE KMT_DEVICE_TYPE ALTER COLUMN ROLE_NAME SET DATA TYPE VARCHAR(256)
#
begin
   declare v_no_such_constraint integer default 0;
   declare not_exists condition for sqlstate '42704';
   declare continue handler for not_exists set v_no_such_constraint=1;
   execute immediate('ALTER TABLE KMT_CLIENT_KEY_CERT_LIST DROP CONSTRAINT UQ_CLIENT_CERT') ;
end
#
UPDATE KMT_KEY_GROUPS SET REF_IDENTIFIER='15' where UUID='15'
#
ALTER TABLE KMT_KMIP_ATTR_HSMATTRIBUTES ADD CONSTRAINT PK_MO_ID PRIMARY KEY (MANAGED_OBJECT_UUID)
#
COMMIT
#